<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Driver Page</title>
  <link rel="stylesheet" href="./css/style.css">
</head>

<body>
  <main>
    <header class="driver-header">
      <div class="links">
        <a href = './user.html'>Go back to My Info</a>
      </div>
      <div class="driver-subhead">Please select action below</div>
    </header>
    <div class="driver-actions">
      <div class="driver-btn">
        <button class="all-trucks req-btn" onclick = 'getAllTrucks()'>All trucks</button>
      </div>
      <div class="driver-btn">
        <button class="one-truck req-btn" onclick = 'openInfoDiv()'>Specific truck</button>
      </div>
      <div class="driver-btn">
        <button class="add-truck req-btn"  onclick = 'openInfoDiv()'>Add truck</button>
      </div>
      <div class="driver-btn">
        <button class="update-truck req-btn" onclick = 'openInfoDiv()'>Update truck</button>
      </div>
      <div class="driver-btn">
        <button class="delete-truck req-btn" onclick = 'openInfoDiv()'>Delete truck</button>
      </div>
      <div class="driver-btn">
        <button class="assign-truck req-btn" onclick = 'openInfoDiv()'>Assign truck</button>
      </div>
      <div class="driver-btn">
        <button class="iterate-load-state req-btn" onclick = 'iterateLoadState()'>Push load status</button>
      </div>
      <div class="driver-btn">
        <button class="get-all-loads req-btn" onclick = 'getAllLoads()'>All loads</button>
      </div>
      <div class="driver-btn">
        <button class="get-user-load req-btn" onclick = 'getActiveLoad()'>Active load</button>
      </div>
      <div class="driver-btn">
        <button class="load-by-id req-btn" onclick = 'openInfoDiv()'>Specific load</button>
      </div>
      <div class="request-info">
      </div>
      <div class="req-result">
      </div>
    </div>
  </main>
  <script src="./js/driver.js"></script>
</body>
</html>


